package com.jqtx.windows.infrastructure.enums;


public enum ExceptionCodeEnum {

    AUTH_TIME_OUT_ERROR("403", "AUTH_TIME_OUT_ERROR", "登录信息已经过期"),
    AUTH_NOT_LOGIN_ERROR("403", "AUTH_NOT_LOGIN_ERROR", "用户未登录"),
    AUTH_DEVICE_FAIL_ERROR("403", "AUTH_DEVICE_FAIL_ERROR", "当前设备不支持，请在app上操作"),
    AUTH_MANY_LOGIN_ERROR("403", "AUTH_MANY_LOGIN_ERROR", "用户已在其他设备登录"),

    NOT_FOUND_ERROR("000000", "NOT_FOUND_ERROR", "错误码未定义"),

    SYSTEM_ERROR("000001", "SYSTEM_ERROR", "系统开小车了"),
    SYSTEM_SQL_UPDATE_ERROR("000002", "SYSTEM_SQL_UPDATE_ERROR", "系统异常！修改数据失败"),

    SYSTEM_SQL_INSERT_ERROR("000003", "SYSTEM_SQL_INSERT_ERROR", "系统异常！插入数据失败"),

    SYSTEM_SQL_SEARCH_ERROR("000004", "SYSTEM_SQL_SEARCH_ERROR", "系统异常！查询数据失败"),


    CURRENT_LIMIT_ERROR("100001", "CURRENT_LIMIT_ERROR", "流量限流,稍后重试!"),
    SERVICE_DEMO_ERROR("100002", "SERVICE_DEMO_ERROR", "服务降级,稍后重试!"),
    HOT_CHAR_ERROR("100003", "HOT_CHAR_ERROR", "热点参数限流,稍后重试!"),
    SYSTEM_FAIL_ERROR("100004", "SYSTEM_FAIL_ERROR", "系统规则(负载...不满足要求),稍后重试!"),
    ROLE_FAIL_ERROR("100005", "ROLE_FAIL_ERROR", "授权规则不通过,稍后重试!"),
    HTTP_METHOD_ERROR("100006", "HTTP_METHOD_ERROR", "接口请求方法异常"),
    HTTP_FAST_ERROR("100007", "HTTP_FAST_ERROR", "操作频繁，请稍后再试"),
    AUTH_LOGIN_ERROR("100008", "AUTH_LOGIN_ERROR", "登录失败,请核对一下信息哦"),





    BIZ_PRE_CREDIT_NOT_FOUND("101001", "BIZ_PRE_CREDIT_NOT_FOUND", "未查询到对应预审单"),
    BIZ_LOAN_NOT_FOUND("101002", "BIZ_LOAN_NOT_FOUND", "未查询到对应借款单"),

    BIZ_CREDIT_NOT_FOUND("101003", "BIZ_CREDIT_NOT_FOUND", "未查询到对应授信单"),

    BIZ_PLAN_NOT_FOUND("101004", "BIZ_PLAN_NOT_FOUND", "未查询到对应还款计划"),
    BIZ_CARD_NOT_FOUND("101005", "BIZ_CARD_NOT_FOUND", "未查询到对应用户卡"),

    BIZ_DATA_CURRENT_ERROR("101006", "BIZ_DATA_CURRENT_ERROR", "数据唯一重复"),
    BIZ_BACK_NOT_SUPPORT("101007", "BIZ_BACK_NOT_SUPPORT", "还款方式不支持"),
    BIZ_BACK_ERROR("101008", "BIZ_BACK_ERROR", "还款异常，联系客服"),
    BIZ_USERINFO_ERROR("101009", "BIZ_USERINFO_ERROR", "用户信息异常"),
    BIZ_LOAN_SUBMIT_ERROR("101010", "BIZ_LOAN_SUBMIT_ERROR", "借款异常,联系客服"),
    BIZ_APPROVAL_NOT_HAVE_PROCESS("101008", "BIZ_APPROVAL_NOT_HAVE_PROCESS", "人工审核，暂无进度数据，请联系后台人员"),
    BIZ_LOAN_MANY_SUPPORT("101009", "BIZ_LOAN_MANY_SUPPORT", "请勿重复提交借款单"),
    BIZ_LOAN_FINISH_ERROR("101010", "BIZ_LOAN_FINISH_ERROR", "该笔订单已结束,拒绝本次审核"),

    BIZ_ACTION_NOT_FIND_ERROR("101011", "BIZ_ACTION_NOT_FIND_ERROR", "未找到本次流程单信息"),

    BIZ_APPROVAL_STATUS_ERROR("101012", "BIZ_APPROVAL_STATUS_ERROR", "审批单状态异常"),

    BIZ_AUTH_NOT_SUPPORT_ERROR("101013", "BIZ_AUTH_NOT_SUPPORT_ERROR", "暂不支持的实名方式"),

    BIZ_AUTH_ERROR("101014", "BIZ_AUTH_ERROR", "认证失败,请重试"),

    BIZ_PRE_AUTH_MANY_ERROR("101015", "BIZ_PRE_AUTH_MANY_ERROR", "请勿重复创建预审单"),








    BIZ_PRE_CREDIT_STATE_ERROR("101002", "BIZ_PRE_CREDIT_NOT_FOUND", "预审单状态异常"),
    BIZ_CREDIT_STATE_ERROR("101003", "BIZ_CREDIT_NOT_FOUND", "审核单状态异常"),
    PARAMS_NULL("200001", "PARAMS_NULL", "参数为空"),
    PARAMS_ILLEGAL("200002", "PARAMS_ILLEGAL", "参数异常，请检查"),

    SYSTEM_REMOTE_ERROR("300001", "REMOTE_ERROR", "系统开小车了,服务异常"),
    SYSTEM_REMOTE_RESULT_ERROR("300002", "REMOTE_RESULT_ERROR", "获取远程服务数据为空"),
    ADD_CREDIT_EXISTS("300003", "ADD_CREDIT_EXISTS", "提额授信单已存在"),




    CREDIT_RESULT_ERROR("400001","NOT_NORMAL_CREDIT_STATE","未能获取正常授信结果"),

    AUDIT_ADD_ERROR("500001","AUDIT_ADD_ERROR","暂不能提交人审"),

    AUDIT_ADD_YES_ERROR("500002","AUDIT_ADD_YES_ERROR","暂不能审核，请补充缺失资料"),

    AUDIT_ADD_STATUS_ERROR("500003","AUDIT_ADD_STATUS_ERROR","暂不能更新资料"),
    ;





    private String code;

    private String message;

    private String messageCN;

    private ExceptionCodeEnum(String code, String message, String messageCN) {
        this.code = code;
        this.message = message;
        this.messageCN = messageCN;
    }

    public static ExceptionCodeEnum getByCode(String code) {
        for (ExceptionCodeEnum e : ExceptionCodeEnum.values()) {
            if (code.equals(e.getCode())) {
                return e;
            }
        }
        return NOT_FOUND_ERROR;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getMessageCN() {
        return messageCN;
    }

    public String code() {
        return this.code;
    }

    public String desc() {
        return this.messageCN;
    }

    public Number value() {
        return null;
    }
}
